Index: fittingview/src/sans/perspectives/fitting/fitpage.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/fitpage.py	(revision 15f68cec08425975d725871c33a68d3f016cdb83)
+++ fittingview/src/sans/perspectives/fitting/fitpage.py	(revision 934cfc0358657317a0f8ea2c2691fba90a6fc47d)
@@ -691,5 +691,5 @@
         #sizer_select_dispers = wx.BoxSizer(wx.HORIZONTAL)  
         model_disp = wx.StaticText(self, -1, 'Function')
-            
+        CHECK_STATE = self.cb1.GetValue()     
         import sans.models.dispersion_models 
         self.polydisp= sans.models.dispersion_models.models
@@ -766,4 +766,5 @@
                         ix = 0
                         cb = wx.CheckBox(self, -1, name0, (10, 10))
+                        cb.SetValue(CHECK_STATE)
                         cb.SetToolTipString("Check mark to fit")
                         wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
@@ -888,4 +889,5 @@
                         ix = 0
                         cb = wx.CheckBox(self, -1, name0, (10, 10))
+                        cb.SetValue(CHECK_STATE)
                         cb.SetToolTipString("Check mark to fit")
                         wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
@@ -1050,6 +1052,6 @@
                         " Selected Distribution: Gaussian"))   
         #Fill the list of fittable parameters
-        self.select_all_param(event=None)
-        
+        #self.select_all_param(event=None)
+        self.get_all_checked_params()
         self.Layout()
 
@@ -1309,4 +1311,5 @@
             if copy_flag:
                 self.get_paste_params(copy_flag)
+                
             self._onDraw(event=None)
         else:
@@ -2632,10 +2635,33 @@
             pass  
             
-
-    def select_all_param(self,event): 
+    
+    def get_all_checked_params(self):
+        """
+        Found all parameters current check and add them to list of parameters to 
+        fit
+        """
+        self.param_toFit = []
+        for item in self.parameters:
+            if item[0].GetValue() and item not in self.param_toFit:
+                self.param_toFit.append(item)
+        for item in self.fittable_param:
+            if item[0].GetValue() and item not in self.param_toFit:
+                self.param_toFit.append(item)
+        self.save_current_state_fit()  
+       
+      
+        event = PageInfoEvent(page = self)
+        wx.PostEvent(self.parent, event) 
+        param2fit = []
+        for item in self.param_toFit:
+            if item[0]:
+                param2fit.append(item[1])     
+        self.parent._manager.set_param2fit(self.uid, param2fit)
+                
+    def select_all_param(self, event): 
         """
         set to true or false all checkBox given the main checkbox value cb1
         """            
-        self.param_toFit=[]
+        self.param_toFit = []
         if  self.parameters !=[]:
             if  self.cb1.GetValue():
@@ -2645,5 +2671,5 @@
                             self.enable2D:
                         item[0].SetValue(True)
-                        self.param_toFit.append(item )
+                        self.param_toFit.append(item)
                     else:
                         ## for 1D all parameters except orientation
@@ -2656,5 +2682,5 @@
                             self.enable2D:
                         item[0].SetValue(True)
-                        self.param_toFit.append(item )
+                        self.param_toFit.append(item)
                         try:
                             if len(self.values[item[1]]) > 0:
@@ -2700,5 +2726,5 @@
         in  self.param_toFit=[] list
         """
-        self.param_toFit=[]
+        self.param_toFit = []
         for item in self.parameters:
             #Skip t ifhe angle parameters if 1D data
@@ -2741,5 +2767,5 @@
         if len(self.fittable_param) > 0:
             len_orient_para *= 2
-        #Set the value of checkbox that selected every checkbox or not            
+        #Set the value of checkbox that selected every checkbox or not        
         if len(self.parameters)+len(self.fittable_param)-len_orient_para ==\
                 len(self.param_toFit):
@@ -2747,4 +2773,7 @@
         else:
             self.cb1.SetValue(False)
+       
+       
+       
         self.save_current_state_fit()
         if event !=None:
@@ -2877,4 +2906,5 @@
         self.text2_4.Hide()
         
+        CHECK_STATE = self.cb1.GetValue()
         for item in keys:
             if not item in self.disp_list and not item in \
@@ -2921,5 +2951,6 @@
                 else:
                     ## add parameters name with checkbox for selecting to fit
-                    cb = wx.CheckBox(self, -1, item )              
+                    cb = wx.CheckBox(self, -1, item)  
+                    cb.SetValue(CHECK_STATE)            
                     cb.SetToolTipString(" Check mark to fit.")
                     #cb.SetValue(True)
@@ -3018,5 +3049,5 @@
                     ## add parameters name with checkbox for selecting to fit
                     cb = wx.CheckBox(self, -1, item )
-                    cb.SetValue(False)
+                    cb.SetValue(CHECK_STATE)
                     cb.SetToolTipString("Check mark to fit")
                     wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
@@ -3115,6 +3146,5 @@
                 self.text2_4.Show()
         #Fill the list of fittable parameters
-        self.select_all_param(event=None)
-
+        self.get_all_checked_params()
         self.save_current_state_fit()
         boxsizer1.Add(sizer)
